com.saxonica.stream

## Class Streamability

- java.lang.Object
- - com.saxonica.stream.Streamability

-     public class Streamability
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `sidewaysAxes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Streamability()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isChildSelection(Expression exp, boolean allowExtensions, List<String> reasons)`
    `static boolean` | `isIncrementallyConsuming(Expression exp)`
    `static Expression` | `rewriteForExpressionAsMappingExpression(ForExpression forEx)`
    `static Expression` | `rewriteQuantifiedExpressionAsFilterExpression(QuantifiedExpression quant)`
    `static boolean` | `selectsSideways(Expression e)` Tests whether an expression performs navigation downwards or sideways

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sidewaysAxes

          public static final int sidewaysAxes

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Streamability

          public Streamability()

  - ### Method Detail

    - #### selectsSideways

          public static boolean selectsSideways(Expression e)

      Tests whether an expression performs navigation downwards or sideways
      Parameters:
        `e` - the expression
      Returns:
        true if the expression uses a downwards or sideways axis

    - #### isIncrementallyConsuming

          public static boolean isIncrementallyConsuming(Expression exp)

    - #### isChildSelection

          public static boolean isChildSelection(Expression exp,
                                 boolean allowExtensions,
                                 List<String> reasons)

    - #### rewriteQuantifiedExpressionAsFilterExpression

          public static Expression rewriteQuantifiedExpressionAsFilterExpression(QuantifiedExpression quant)

    - #### rewriteForExpressionAsMappingExpression

          public static Expression rewriteForExpressionAsMappingExpression(ForExpression forEx)

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.